#ifndef bqtCoordinatesHH
#define bqtCoordinatesHH

#include "settings.hh"

extern unsigned CompactPlayerCoordinateTranslation[MaxDim];
extern unsigned CompactPlayerCoordinateLimit;
extern unsigned CompactBlockCoordinateTranslation[MaxDim+1];
extern unsigned CompactBlockCoordinateLimit;
extern unsigned FloorCoordinateTranslation[MaxDim];
extern unsigned FloorCoordinateUntranslation[FloorAmount];

extern unsigned ActualMaxObject;

extern unsigned levelno;
extern unsigned MaxDuration;

extern volatile bool TerminateSignalled;

/* Coordinate building is doable only once levelno
 * is defined and DeadZones is built.
 */
void BuildFloorCoordinates();
void BuildCompactCoordinates();

#endif
