static const double WalkingSpeed = 0.2;
static const double PushingSpeed = 0.4;
static const double KickingSpeed = 0.15;
static const double GrabbingTime = 0.066;
static const double KickingTime  = 0.5;
static const double RenderFPS    = 30.0;

static inline unsigned RoundUp(double nseconds)
{
    unsigned intfps  = (unsigned)(RenderFPS*100);
    unsigned inttime = (unsigned)(nseconds*1000);
    return (intfps*inttime+99999)/100000;
}

static const unsigned IntWalkingSpeed = RoundUp(WalkingSpeed);
static const unsigned IntPushingSpeed = RoundUp(PushingSpeed);
static const unsigned IntKickingSpeed = RoundUp(KickingSpeed);
static const unsigned IntGrabbingTime = RoundUp(GrabbingTime);
static const unsigned IntKickingTime  = RoundUp(KickingTime);
static const unsigned IntFacingTime   = 1;
