#include "bigint.hh"

#include "templates.hh"

namespace Binom
{
    /* Binom::Choose() calculates the binomial combination
     * function. It is designed to be used in the Peterbox
     * completer. Limits for its parameters are as follows:
     *
     * 0 <= n < MaxDim
     * 0 <= k < MaxObject
     */
    const BigInt& Choose(unsigned n, unsigned k) REGPARM;
}
