#ifndef bqtCoordinatesHH
#define bqtCoordinatesHH

#include "settings.hh"

extern size_t CompactPlayerCoordinateTranslation[MaxDim];
extern size_t CompactPlayerCoordinateLimit;
extern size_t CompactBlockCoordinateTranslation[MaxDim+1];
extern size_t CompactBlockCoordinateLimit;
extern size_t FloorCoordinateTranslation[MaxDim];
extern size_t FloorCoordinateUntranslation[FloorAmount];

extern size_t ActualMaxObject;

extern size_t levelno;
extern size_t MaxDuration;

extern volatile bool TerminateSignalled;

/* Coordinate building is doable only once levelno
 * is defined and DeadZones is built.
 */
void BuildFloorCoordinates();
void BuildCompactCoordinates();

#endif
