#include <sys/stat.h>
#include <unistd.h>
#include <sys/fcntl.h>

#include "NewRadixSet.hh"

#include <iostream>

int main(void)
{
    typedef NewRadixSet<char, 127, 5> SetType;
    /* Create a set of items
     * consisting of 5 chars of maximum value 127
     */
    std::cout << "Set size: " << sizeof(SetType) << std::endl;
    SetType* set = new SetType;
    
    #define Add(x) \
        std::cout << "Listn '" << x << "'... " << std::flush; \
        if(set->add(x)) std::cout << " - onnistui\n" << std::flush; \
        else std::cout << " - oli jo setiss\n" << std::flush;
    #define Find(x) \
        if(set->find(x)) \
            std::cout << "Setist lytyy '" << x << "'\n" << std::flush; \
        else \
            std::cout << "Setist ei lydy '" << x << "'\n" << std::flush;
    
    Add("koira");
    Add("kissa");
    Add("testi");
    Add("maito");
    Add("testi");
    Add("kahvi");
    Add("testi");
    Add("koira");
    
    Find("koira");
    Find("kissa");
    Find("kahvi");
    Find("maito");
    Find("tahti");
    Find("testi");

    return 0;
}
