#ifndef bqtSettingsHH
#define bqtSettingsHH

#include "templates.hh"

#define CHOOSE_LEVEL 11

#if CHOOSE_LEVEL != 60
 #define USE_MULTI_DEAD 8
#else
 #define USE_MULTI_DEAD 1
#endif

#if CHOOSE_LEVEL==60
// CREATE NEW SETTINGS
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=35;
static const unsigned MaxCompactCoordinateData=60;
static const unsigned FloorAmount=19*16;
static const unsigned InitialMaxDuration=10633;
#endif

#if CHOOSE_LEVEL==0
// LEVEL 1-1 :
static const unsigned MaxWidth=9, OffsetWidth=5;
static const unsigned MaxHeight=9, OffsetHeight=4;
static const unsigned MaxObject=6;
/* completion time of ../solution/0.txt and ../records/0.txt = 226 */
static const unsigned MaxCompactCoordinateData=3;
static const unsigned FloorAmount=49;
static const unsigned InitialMaxDuration=226;
#endif
// Number of possible different block combinations: 65780
// When including the player, the number is 1381380.
// Excluding the multidead, it is 1381380.

#if CHOOSE_LEVEL==1
// LEVEL 1-2 :
static const unsigned MaxWidth=8, OffsetWidth=5;
static const unsigned MaxHeight=8, OffsetHeight=4;
static const unsigned MaxObject=5;
/* completion time of ../solution/1.txt and ../records/1.txt = 210 */
static const unsigned MaxCompactCoordinateData=2;
static const unsigned FloorAmount=20;
static const unsigned InitialMaxDuration=210;
#endif
// Number of possible different block combinations: 1365
// When including the player, the number is 23205.
// Excluding the multidead, it is 23205.

#if CHOOSE_LEVEL==2
// LEVEL 1-3 :
static const unsigned MaxWidth=9, OffsetWidth=5;
static const unsigned MaxHeight=8, OffsetHeight=4;
static const unsigned MaxObject=7;
/* completion time of ../solution/2.txt and ../records/2.txt = 618 */
static const unsigned MaxCompactCoordinateData=3;
static const unsigned FloorAmount=34;
static const unsigned InitialMaxDuration=618;
#endif
// Number of possible different block combinations: 177100
// When including the player, the number is 4427500.
// Excluding the multidead, it is 4427500.

#if CHOOSE_LEVEL==3
// LEVEL 1-4 :
static const unsigned MaxWidth=5, OffsetWidth=6;
static const unsigned MaxHeight=8, OffsetHeight=4;
static const unsigned MaxObject=3;
/* completion time of ../solution/3.txt and ../records/3.txt = 168 */
static const unsigned MaxCompactCoordinateData=2;
static const unsigned FloorAmount=16;
static const unsigned InitialMaxDuration=168;
#endif
// Number of possible different block combinations: 28
// When including the player, the number is 252.
// Excluding the multidead, it is 252.

#if CHOOSE_LEVEL==4
// LEVEL 1-5 :
static const unsigned MaxWidth=9, OffsetWidth=5;
static const unsigned MaxHeight=9, OffsetHeight=4;
static const unsigned MaxObject=5;
/* completion time of ../solution/4.txt and ../records/4.txt = 313 */
static const unsigned MaxCompactCoordinateData=3;
static const unsigned FloorAmount=36;
static const unsigned InitialMaxDuration=313;
#endif
// Number of possible different block combinations: 27405
// When including the player, the number is 465885.
// Excluding the multidead, it is 465885.

#if CHOOSE_LEVEL==5
// LEVEL 2-1 :
static const unsigned MaxWidth=10, OffsetWidth=5;
static const unsigned MaxHeight=8, OffsetHeight=4;
static const unsigned MaxObject=4;
/* completion time of ../solution/5.txt and ../records/5.txt = 329 */
static const unsigned MaxCompactCoordinateData=2;
static const unsigned FloorAmount=32;
static const unsigned InitialMaxDuration=329;
#endif
// Number of possible different block combinations: 969
// When including the player, the number is 12597.
// Excluding the multidead, it is 12597.

#if CHOOSE_LEVEL==6
// LEVEL 2-2 :
static const unsigned MaxWidth=9, OffsetWidth=5;
static const unsigned MaxHeight=9, OffsetHeight=4;
static const unsigned MaxObject=14;
/* completion time of ../solution/6.txt and ../records/6.txt = 358 */
static const unsigned MaxCompactCoordinateData=4;
static const unsigned FloorAmount=49;
static const unsigned InitialMaxDuration=358;
#endif
// Number of possible different block combinations: 10400600
// When including the player, the number is 551231800.
// Excluding the multidead, it is 551231800.

#if CHOOSE_LEVEL==7
// LEVEL 2-3 :
static const unsigned MaxWidth=7, OffsetWidth=6;
static const unsigned MaxHeight=7, OffsetHeight=5;
static const unsigned MaxObject=6;
/* completion time of ../solution/7.txt and ../records/7.txt = 246 */
static const unsigned MaxCompactCoordinateData=3;
static const unsigned FloorAmount=24;
static const unsigned InitialMaxDuration=246;
#endif
// Number of possible different block combinations: 15504
// When including the player, the number is 325584.
// Excluding the multidead, it is 325584.

#if CHOOSE_LEVEL==8
// LEVEL 2-4 :
static const unsigned MaxWidth=9, OffsetWidth=5;
static const unsigned MaxHeight=8, OffsetHeight=4;
static const unsigned MaxObject=5;
/* completion time of ../solution/8.txt and ../records/8.txt = 412 */
static const unsigned MaxCompactCoordinateData=2;
static const unsigned FloorAmount=22;
static const unsigned InitialMaxDuration=412;
#endif
// Number of possible different block combinations: 1365
// When including the player, the number is 23205.
// Excluding the multidead, it is 23205.

#if CHOOSE_LEVEL==9
// LEVEL 2-5 :
static const unsigned MaxWidth=9, OffsetWidth=5;
static const unsigned MaxHeight=8, OffsetHeight=4;
static const unsigned MaxObject=14;
/* completion time of ../solution/9.txt and ../records/9.txt = 524 */
static const unsigned MaxCompactCoordinateData=4;
static const unsigned FloorAmount=41;
static const unsigned InitialMaxDuration=524;
#endif
// Number of possible different block combinations: 37442160
// When including the player, the number is 1984434480.
// Excluding the multidead, it is 1984434480.

#if CHOOSE_LEVEL==10
// LEVEL 3-1 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=11, OffsetHeight=3;
static const unsigned MaxObject=7;
/* completion time of ../solution/10.txt and ../records/10.txt = 1214 */
static const unsigned MaxCompactCoordinateData=4;
static const unsigned FloorAmount=56;
static const unsigned InitialMaxDuration=1214;
#endif
// Number of possible different block combinations: 1344904
// When including the player, the number is 33622600.
// Excluding the multidead, it is 33622600.

#if CHOOSE_LEVEL==11
// LEVEL 3-2 :
static const unsigned MaxWidth=14, OffsetWidth=3;
static const unsigned MaxHeight=10, OffsetHeight=4;
static const unsigned MaxObject=11;
/* completion time of ../solution/11.txt and ../records/11.txt = 3271 */
static const unsigned MaxCompactCoordinateData=5;
static const unsigned FloorAmount=70;
static const unsigned InitialMaxDuration=3271;
#endif
// Number of possible different block combinations: 5178066751
// When including the player, the number is 212300736791.
// Excluding the multidead, it is 212300736791.

#if CHOOSE_LEVEL==12
// LEVEL 3-3 :
static const unsigned MaxWidth=17, OffsetWidth=1;
static const unsigned MaxHeight=10, OffsetHeight=4;
static const unsigned MaxObject=12;
/* completion time of ../solution/12.txt and ../records/12.txt = 1830 */
static const unsigned MaxCompactCoordinateData=5;
static const unsigned FloorAmount=56;
static const unsigned InitialMaxDuration=1830;
#endif
// Number of possible different block combinations: 7669339132
// When including the player, the number is 345120260940.
// Excluding the multidead, it is 345120260940.

#if CHOOSE_LEVEL==13
// LEVEL 3-4 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=14, OffsetHeight=1;
static const unsigned MaxObject=21;
/* completion time of ../solution/13.txt and ../records/13.txt = 4923 */
static const unsigned MaxCompactCoordinateData=9;
static const unsigned FloorAmount=112;
static const unsigned InitialMaxDuration=4923;
#endif
// Number of possible different block combinations: 1472474663905800940
// When including the player, the number is 119270447776369876140.
// Excluding the multidead, it is 119270447776369876140.

#if CHOOSE_LEVEL==14
// LEVEL 3-5 :
static const unsigned MaxWidth=17, OffsetWidth=1;
static const unsigned MaxHeight=13, OffsetHeight=2;
static const unsigned MaxObject=13;
/* completion time of ../solution/14.txt and ../records/14.txt = 2219 */
static const unsigned MaxCompactCoordinateData=6;
static const unsigned FloorAmount=71;
static const unsigned InitialMaxDuration=2219;
#endif
// Number of possible different block combinations: 438729741450
// When including the player, the number is 21497757331050.
// Excluding the multidead, it is 21497757331050.

#if CHOOSE_LEVEL==15
// LEVEL 4-1 :
static const unsigned MaxWidth=12, OffsetWidth=4;
static const unsigned MaxHeight=11, OffsetHeight=3;
static const unsigned MaxObject=11;
/* completion time of ../solution/15.txt and ../records/15.txt = 1802 */
static const unsigned MaxCompactCoordinateData=5;
static const unsigned FloorAmount=60;
static const unsigned InitialMaxDuration=1802;
#endif
// Number of possible different block combinations: 1121099408
// When including the player, the number is 45965075728.
// Excluding the multidead, it is 45965075728.

#if CHOOSE_LEVEL==16
// LEVEL 4-2 :
static const unsigned MaxWidth=13, OffsetWidth=4;
static const unsigned MaxHeight=12, OffsetHeight=3;
static const unsigned MaxObject=12;
/* completion time of ../solution/16.txt and ../records/16.txt = 1710 */
static const unsigned MaxCompactCoordinateData=5;
static const unsigned FloorAmount=64;
static const unsigned InitialMaxDuration=1710;
#endif
// Number of possible different block combinations: 7669339132
// When including the player, the number is 345120260940.
// Excluding the multidead, it is 345120260940.

#if CHOOSE_LEVEL==17
// LEVEL 4-3 :
static const unsigned MaxWidth=16, OffsetWidth=2;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=19;
/* completion time of ../solution/17.txt and ../records/17.txt = 3574 */
static const unsigned MaxCompactCoordinateData=9;
static const unsigned FloorAmount=109;
static const unsigned InitialMaxDuration=3574;
#endif
// Number of possible different block combinations: 950974260789566790
// When including the player, the number is 69421121037638375670.
// Excluding the multidead, it is 69421121037638375670.

#if CHOOSE_LEVEL==18
// LEVEL 4-4 :
static const unsigned MaxWidth=17, OffsetWidth=1;
static const unsigned MaxHeight=14, OffsetHeight=1;
static const unsigned MaxObject=15;
/* completion time of ../solution/18.txt and ../records/18.txt = 3740 */
static const unsigned MaxCompactCoordinateData=7;
static const unsigned FloorAmount=83;
static const unsigned InitialMaxDuration=3740;
#endif
// Number of possible different block combinations: 17345898649800
// When including the player, the number is 988716223038600.
// Excluding the multidead, it is 988716223038600.

#if CHOOSE_LEVEL==19
// LEVEL 4-5 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=33;
/* completion time of ../solution/19.txt and ../records/19.txt = 8060 */
static const unsigned MaxCompactCoordinateData=13;
static const unsigned FloorAmount=172;
static const unsigned InitialMaxDuration=8060;
#endif
// Number of possible different block combinations: 53556105385935598867815370977
// When including the player, the number is 6908737594785692253948182856033.
// Excluding the multidead, it is 6908737594785692253948182856033.

#if CHOOSE_LEVEL==20
// LEVEL 5-1 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=15, OffsetHeight=1;
static const unsigned MaxObject=15;
/* completion time of ../solution/20.txt and ../records/20.txt = 6076 */
static const unsigned MaxCompactCoordinateData=7;
static const unsigned FloorAmount=93;
static const unsigned InitialMaxDuration=6076;
#endif
// Number of possible different block combinations: 154603005527328
// When including the player, the number is 8812371315057696.
// Excluding the multidead, it is 8812371315057696.

#if CHOOSE_LEVEL==21
// LEVEL 5-2 :
static const unsigned MaxWidth=17, OffsetWidth=1;
static const unsigned MaxHeight=13, OffsetHeight=2;
static const unsigned MaxObject=16;
/* completion time of ../solution/21.txt and ../records/21.txt = 5105 */
static const unsigned MaxCompactCoordinateData=7;
static const unsigned FloorAmount=103;
static const unsigned InitialMaxDuration=5105;
#endif
// Number of possible different block combinations: 122131734269895
// When including the player, the number is 7450035790463595.
// Excluding the multidead, it is 7450035790463595.

#if CHOOSE_LEVEL==22
// LEVEL 5-3 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=13, OffsetHeight=1;
static const unsigned MaxObject=17;
/* completion time of ../solution/22.txt and ../records/22.txt = 5320 */
static const unsigned MaxCompactCoordinateData=8;
static const unsigned FloorAmount=118;
static const unsigned InitialMaxDuration=5320;
#endif
// Number of possible different block combinations: 21566576904406820
// When including the player, the number is 1401827498786443300.
// Excluding the multidead, it is 1401827498786443300.

#if CHOOSE_LEVEL==23
// LEVEL 5-4 :
static const unsigned MaxWidth=18, OffsetWidth=1;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=19;
/* completion time of ../solution/23.txt and ../records/23.txt = 7634 */
static const unsigned MaxCompactCoordinateData=9;
static const unsigned FloorAmount=121;
static const unsigned InitialMaxDuration=7634;
#endif
// Number of possible different block combinations: 585151976303390925
// When including the player, the number is 42716094270147537525.
// Excluding the multidead, it is 42716094270147537525.

#if CHOOSE_LEVEL==24
// LEVEL 5-5 :
static const unsigned MaxWidth=17, OffsetWidth=1;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=16;
/* completion time of ../solution/24.txt and ../records/24.txt = 4328 */
static const unsigned MaxCompactCoordinateData=8;
static const unsigned FloorAmount=104;
static const unsigned InitialMaxDuration=4328;
#endif
// Number of possible different block combinations: 2280012686716080
// When including the player, the number is 139080773889680880.
// Excluding the multidead, it is 139080773889680880.

#if CHOOSE_LEVEL==25
// LEVEL 6-1 :
static const unsigned MaxWidth=14, OffsetWidth=2;
static const unsigned MaxHeight=15, OffsetHeight=0;
static const unsigned MaxObject=16;
/* completion time of ../solution/25.txt and ../records/25.txt = 5138 */
static const unsigned MaxCompactCoordinateData=7;
static const unsigned FloorAmount=81;
static const unsigned InitialMaxDuration=5138;
#endif
// Number of possible different block combinations: 11899700525790
// When including the player, the number is 725881732073190.
// Excluding the multidead, it is 725881732073190.

#if CHOOSE_LEVEL==26
// LEVEL 6-2 :
static const unsigned MaxWidth=16, OffsetWidth=2;
static const unsigned MaxHeight=14, OffsetHeight=1;
static const unsigned MaxObject=7;
/* completion time of ../solution/26.txt and ../records/26.txt = 4340 */
static const unsigned MaxCompactCoordinateData=4;
static const unsigned FloorAmount=87;
static const unsigned InitialMaxDuration=4340;
#endif
// Number of possible different block combinations: 22957480
// When including the player, the number is 573937000.
// Excluding the multidead, it is 573937000.

#if CHOOSE_LEVEL==27
// LEVEL 6-3 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=13, OffsetHeight=1;
static const unsigned MaxObject=12;
/* completion time of ../solution/27.txt and ../records/27.txt = 4967 */
static const unsigned MaxCompactCoordinateData=6;
static const unsigned FloorAmount=105;
static const unsigned InitialMaxDuration=4967;
#endif
// Number of possible different block combinations: 1823810410032
// When including the player, the number is 82071468451440.
// Excluding the multidead, it is 82071468451440.

#if CHOOSE_LEVEL==28
// LEVEL 6-4 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=16;
/* completion time of ../solution/28.txt and ../records/28.txt = 5687 */
static const unsigned MaxCompactCoordinateData=8;
static const unsigned FloorAmount=123;
static const unsigned InitialMaxDuration=5687;
#endif
// Number of possible different block combinations: 8144022047817960
// When including the player, the number is 496785344916895560.
// Excluding the multidead, it is 496785344916895560.

#if CHOOSE_LEVEL==29
// LEVEL 6-5 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=21;
/* completion time of ../solution/29.txt and ../records/29.txt = 13582 */
static const unsigned MaxCompactCoordinateData=10;
static const unsigned FloorAmount=151;
static const unsigned InitialMaxDuration=13582;
#endif
// Number of possible different block combinations: 272333912878027232856
// When including the player, the number is 22059046943120205861336.
// Excluding the multidead, it is 22059046943120205861336.

#if CHOOSE_LEVEL==30
// LEVEL 7-1 :
static const unsigned MaxWidth=15, OffsetWidth=2;
static const unsigned MaxHeight=15, OffsetHeight=0;
static const unsigned MaxObject=14;
/* completion time of ../solution/30.txt and ../records/30.txt = 3379 */
static const unsigned MaxCompactCoordinateData=7;
static const unsigned FloorAmount=94;
static const unsigned InitialMaxDuration=3379;
#endif
// Number of possible different block combinations: 10468434365991
// When including the player, the number is 554827021397523.
// Excluding the multidead, it is 554827021397523.

#if CHOOSE_LEVEL==31
// LEVEL 7-2 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=28;
/* completion time of ../solution/31.txt and ../records/31.txt = 9332 */
static const unsigned MaxCompactCoordinateData=12;
static const unsigned FloorAmount=167;
static const unsigned InitialMaxDuration=9332;
#endif
// Number of possible different block combinations: 245394628147121065989203464
// When including the player, the number is 26748014468036196192823177576.
// Excluding the multidead, it is 26748014468036196192823177576.

#if CHOOSE_LEVEL==32
// LEVEL 7-3 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=14, OffsetHeight=1;
static const unsigned MaxObject=19;
/* completion time of ../solution/32.txt and ../records/32.txt = 10073 */
static const unsigned MaxCompactCoordinateData=10;
static const unsigned FloorAmount=127;
static const unsigned InitialMaxDuration=10073;
#endif
// Number of possible different block combinations: 80135221427528667400
// When including the player, the number is 5849871164209592720200.
// Excluding the multidead, it is 5849871164209592720200.

#if CHOOSE_LEVEL==33
// LEVEL 7-4 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=23;
/* completion time of ../solution/33.txt and ../records/33.txt = 11819 */
static const unsigned MaxCompactCoordinateData=11;
static const unsigned FloorAmount=157;
static const unsigned InitialMaxDuration=11819;
#endif
// Number of possible different block combinations: 60944955672169553853960
// When including the player, the number is 5424101054823090293002440.
// Excluding the multidead, it is 5424101054823090293002440.

#if CHOOSE_LEVEL==34
// LEVEL 7-5 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=20;
/* completion time of ../solution/34.txt and ../records/34.txt = 10168 */
static const unsigned MaxCompactCoordinateData=9;
static const unsigned FloorAmount=144;
static const unsigned InitialMaxDuration=10168;
#endif
// Number of possible different block combinations: 18150420051920130975
// When including the player, the number is 1397582343997850085075.
// Excluding the multidead, it is 1397582343997850085075.

#if CHOOSE_LEVEL==35
// LEVEL 8-1 :
static const unsigned MaxWidth=15, OffsetWidth=3;
static const unsigned MaxHeight=12, OffsetHeight=3;
static const unsigned MaxObject=14;
/* completion time of ../solution/35.txt and ../records/35.txt = 4589 */
static const unsigned MaxCompactCoordinateData=6;
static const unsigned FloorAmount=80;
static const unsigned InitialMaxDuration=4589;
#endif
// Number of possible different block combinations: 4047376351620
// When including the player, the number is 214510946635860.
// Excluding the multidead, it is 214510946635860.

#if CHOOSE_LEVEL==36
// LEVEL 8-2 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=13, OffsetHeight=1;
static const unsigned MaxObject=21;
/* completion time of ../solution/36.txt and ../records/36.txt = 9035 */
static const unsigned MaxCompactCoordinateData=10;
static const unsigned FloorAmount=122;
static const unsigned InitialMaxDuration=9035;
#endif
// Number of possible different block combinations: 65341512186912471510
// When including the player, the number is 5292662487139910192310.
// Excluding the multidead, it is 5292662487139910192310.

#if CHOOSE_LEVEL==37
// LEVEL 8-3 :
static const unsigned MaxWidth=17, OffsetWidth=1;
static const unsigned MaxHeight=15, OffsetHeight=0;
static const unsigned MaxObject=21;
/* completion time of ../solution/37.txt and ../records/37.txt = 7240 */
static const unsigned MaxCompactCoordinateData=9;
static const unsigned FloorAmount=112;
static const unsigned InitialMaxDuration=7240;
#endif
// Number of possible different block combinations: 18293741700978245355
// When including the player, the number is 1481793077779237873755.
// Excluding the multidead, it is 1481793077779237873755.

#if CHOOSE_LEVEL==38
// LEVEL 8-4 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=13, OffsetHeight=1;
static const unsigned MaxObject=17;
/* completion time of ../solution/38.txt and ../records/38.txt = 5505 */
static const unsigned MaxCompactCoordinateData=7;
static const unsigned FloorAmount=107;
static const unsigned InitialMaxDuration=5505;
#endif
// Number of possible different block combinations: 149608375854525
// When including the player, the number is 9724544430544125.
// Excluding the multidead, it is 9724544430544125.

#if CHOOSE_LEVEL==39
// LEVEL 8-5 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=14, OffsetHeight=1;
static const unsigned MaxObject=19;
/* completion time of ../solution/39.txt and ../records/39.txt = 12424 */
static const unsigned MaxCompactCoordinateData=9;
static const unsigned FloorAmount=119;
static const unsigned InitialMaxDuration=12424;
#endif
// Number of possible different block combinations: 212566476905162380
// When including the player, the number is 15517352814076853740.
// Excluding the multidead, it is 15517352814076853740.

#if CHOOSE_LEVEL==40
// LEVEL 9-1 :
static const unsigned MaxWidth=18, OffsetWidth=1;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=21;
/* completion time of ../solution/40.txt and ../records/40.txt = 5588 */
static const unsigned MaxCompactCoordinateData=9;
static const unsigned FloorAmount=110;
static const unsigned InitialMaxDuration=5588;
#endif
// Number of possible different block combinations: 18293741700978245355
// When including the player, the number is 1481793077779237873755.
// Excluding the multidead, it is 1481793077779237873755.

#if CHOOSE_LEVEL==41
// LEVEL 9-2 :
static const unsigned MaxWidth=13, OffsetWidth=3;
static const unsigned MaxHeight=15, OffsetHeight=1;
static const unsigned MaxObject=16;
/* completion time of ../solution/41.txt and ../records/41.txt = 4048 */
static const unsigned MaxCompactCoordinateData=7;
static const unsigned FloorAmount=73;
static const unsigned InitialMaxDuration=4048;
#endif
// Number of possible different block combinations: 39895566894540
// When including the player, the number is 2433629580566940.
// Excluding the multidead, it is 2433629580566940.

#if CHOOSE_LEVEL==42
// LEVEL 9-3 :
static const unsigned MaxWidth=12, OffsetWidth=3;
static const unsigned MaxHeight=15, OffsetHeight=1;
static const unsigned MaxObject=16;
/* completion time of ../solution/42.txt and ../records/42.txt = 7196 */
static const unsigned MaxCompactCoordinateData=7;
static const unsigned FloorAmount=93;
static const unsigned InitialMaxDuration=7196;
#endif
// Number of possible different block combinations: 122131734269895
// When including the player, the number is 7450035790463595.
// Excluding the multidead, it is 7450035790463595.

#if CHOOSE_LEVEL==43
// LEVEL 9-4 :
static const unsigned MaxWidth=14, OffsetWidth=3;
static const unsigned MaxHeight=15, OffsetHeight=1;
static const unsigned MaxObject=15;
/* completion time of ../solution/43.txt and ../records/43.txt = 8907 */
static const unsigned MaxCompactCoordinateData=7;
static const unsigned FloorAmount=93;
static const unsigned InitialMaxDuration=8907;
#endif
// Number of possible different block combinations: 37387265592825
// When including the player, the number is 2131074138791025.
// Excluding the multidead, it is 2131074138791025.

#if CHOOSE_LEVEL==44
// LEVEL 9-5 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=18;
/* completion time of ../solution/44.txt and ../records/44.txt = 10310 */
static const unsigned MaxCompactCoordinateData=9;
static const unsigned FloorAmount=150;
static const unsigned InitialMaxDuration=10310;
#endif
// Number of possible different block combinations: 3116480397122547360
// When including the player, the number is 215037147401455767840.
// Excluding the multidead, it is 215037147401455767840.

#if CHOOSE_LEVEL==45
// LEVEL 10-1 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=22;
/* completion time of ../solution/45.txt and ../records/45.txt = 12813 */
static const unsigned MaxCompactCoordinateData=10;
static const unsigned FloorAmount=124;
static const unsigned InitialMaxDuration=12813;
#endif
// Number of possible different block combinations: 169935800925669797700
// When including the player, the number is 14444543078681932804500.
// Excluding the multidead, it is 14444543078681932804500.

#if CHOOSE_LEVEL==46
// LEVEL 10-2 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=15, OffsetHeight=0;
static const unsigned MaxObject=21;
/* completion time of ../solution/46.txt and ../records/46.txt = 10052 */
static const unsigned MaxCompactCoordinateData=9;
static const unsigned FloorAmount=129;
static const unsigned InitialMaxDuration=10052;
#endif
// Number of possible different block combinations: 39651686882656286130
// When including the player, the number is 3211786637495159176530.
// Excluding the multidead, it is 3211786637495159176530.

#if CHOOSE_LEVEL==47
// LEVEL 10-3 :
static const unsigned MaxWidth=11, OffsetWidth=4;
static const unsigned MaxHeight=11, OffsetHeight=2;
static const unsigned MaxObject=9;
/* completion time of ../solution/47.txt and ../records/47.txt = 1903 */
static const unsigned MaxCompactCoordinateData=4;
static const unsigned FloorAmount=49;
static const unsigned InitialMaxDuration=1903;
#endif
// Number of possible different block combinations: 95548245
// When including the player, the number is 3153092085.
// Excluding the multidead, it is 3153092085.

#if CHOOSE_LEVEL==48
// LEVEL 10-4 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=26;
/* completion time of ../solution/48.txt and ../records/48.txt = 12667 */
static const unsigned MaxCompactCoordinateData=11;
static const unsigned FloorAmount=142;
static const unsigned InitialMaxDuration=12667;
#endif
// Number of possible different block combinations: 563775374221979864723604
// When including the player, the number is 56941312796419966337084004.
// Excluding the multidead, it is 56941312796419966337084004.

#if CHOOSE_LEVEL==49
// LEVEL 10-5 :
static const unsigned MaxWidth=17, OffsetWidth=1;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=17;
/* completion time of ../solution/49.txt and ../records/49.txt = 9927 */
static const unsigned MaxCompactCoordinateData=8;
static const unsigned FloorAmount=107;
static const unsigned InitialMaxDuration=9927;
#endif
// Number of possible different block combinations: 17198662594653540
// When including the player, the number is 1117913068652480100.
// Excluding the multidead, it is 1117913068652480100.

#if CHOOSE_LEVEL==50
// LEVEL 11-1 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=15, OffsetHeight=0;
static const unsigned MaxObject=16;
/* completion time of ../solution/50.txt and ../records/50.txt = 2903 */
static const unsigned MaxCompactCoordinateData=7;
static const unsigned FloorAmount=97;
static const unsigned InitialMaxDuration=2903;
#endif
// Number of possible different block combinations: 721480692460864
// When including the player, the number is 44010322240112704.
// Excluding the multidead, it is 44010322240112704.

#if CHOOSE_LEVEL==51
// LEVEL 11-2 :
static const unsigned MaxWidth=18, OffsetWidth=1;
static const unsigned MaxHeight=13, OffsetHeight=1;
static const unsigned MaxObject=25;
/* completion time of ../solution/51.txt and ../records/51.txt = 5340 */
static const unsigned MaxCompactCoordinateData=11;
static const unsigned FloorAmount=118;
static const unsigned InitialMaxDuration=5340;
#endif
// Number of possible different block combinations: 26101718353106752508100
// When including the player, the number is 2531866680251354993285700.
// Excluding the multidead, it is 2531866680251354993285700.

#if CHOOSE_LEVEL==52
// LEVEL 11-3 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=11, OffsetHeight=3;
static const unsigned MaxObject=10;
/* completion time of ../solution/52.txt and ../records/52.txt = 3779 */
static const unsigned MaxCompactCoordinateData=6;
static const unsigned FloorAmount=88;
static const unsigned InitialMaxDuration=3779;
#endif
// Number of possible different block combinations: 17341763505
// When including the player, the number is 641645249685.
// Excluding the multidead, it is 641645249685.

#if CHOOSE_LEVEL==53
// LEVEL 11-4 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=15, OffsetHeight=1;
static const unsigned MaxObject=10;
/* completion time of ../solution/53.txt and ../records/53.txt = 3629 */
static const unsigned MaxCompactCoordinateData=5;
static const unsigned FloorAmount=95;
static const unsigned InitialMaxDuration=3629;
#endif
// Number of possible different block combinations: 12565671261
// When including the player, the number is 464929836657.
// Excluding the multidead, it is 464929836657.

#if CHOOSE_LEVEL==54
// LEVEL 11-5 :
static const unsigned MaxWidth=16, OffsetWidth=2;
static const unsigned MaxHeight=14, OffsetHeight=1;
static const unsigned MaxObject=18;
/* completion time of ../solution/54.txt and ../records/54.txt = 7288 */
static const unsigned MaxCompactCoordinateData=8;
static const unsigned FloorAmount=98;
static const unsigned InitialMaxDuration=7288;
#endif
// Number of possible different block combinations: 5964720367660956
// When including the player, the number is 411565705368605964.
// Excluding the multidead, it is 411565705368605964.

#if CHOOSE_LEVEL==55
// LEVEL 12-1 :
static const unsigned MaxWidth=14, OffsetWidth=3;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=15;
/* completion time of ../solution/55.txt and ../records/55.txt = 6328 */
static const unsigned MaxCompactCoordinateData=7;
static const unsigned FloorAmount=97;
static const unsigned InitialMaxDuration=6328;
#endif
// Number of possible different block combinations: 97862516286480
// When including the player, the number is 5578163428329360.
// Excluding the multidead, it is 5578163428329360.

#if CHOOSE_LEVEL==56
// LEVEL 12-2 :
static const unsigned MaxWidth=18, OffsetWidth=1;
static const unsigned MaxHeight=11, OffsetHeight=2;
static const unsigned MaxObject=17;
/* completion time of ../solution/56.txt and ../records/56.txt = 4239 */
static const unsigned MaxCompactCoordinateData=8;
static const unsigned FloorAmount=85;
static const unsigned InitialMaxDuration=4239;
#endif
// Number of possible different block combinations: 4116305022165108
// When including the player, the number is 267559826440732020.
// Excluding the multidead, it is 267559826440732020.

#if CHOOSE_LEVEL==57
// LEVEL 12-3 :
static const unsigned MaxWidth=13, OffsetWidth=3;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=35;
/* completion time of ../solution/57.txt and ../records/57.txt = 3192 */
static const unsigned MaxCompactCoordinateData=11;
static const unsigned FloorAmount=94;
static const unsigned InitialMaxDuration=3192;
#endif
// Number of possible different block combinations: 615167304833936727234180
// When including the player, the number is 84277920762249331631082660.
// Excluding the multidead, it is 84277920762249331631082660.

#if CHOOSE_LEVEL==58
// LEVEL 12-4 :
static const unsigned MaxWidth=16, OffsetWidth=2;
static const unsigned MaxHeight=15, OffsetHeight=1;
static const unsigned MaxObject=13;
/* completion time of ../solution/58.txt and ../records/58.txt = 3601 */
static const unsigned MaxCompactCoordinateData=6;
static const unsigned FloorAmount=81;
static const unsigned InitialMaxDuration=3601;
#endif
// Number of possible different block combinations: 343006888770
// When including the player, the number is 16807337549730.
// Excluding the multidead, it is 16807337549730.

#if CHOOSE_LEVEL==59
// LEVEL 12-5 :
static const unsigned MaxWidth=19, OffsetWidth=0;
static const unsigned MaxHeight=16, OffsetHeight=0;
static const unsigned MaxObject=17;
/* completion time of ../solution/59.txt and ../records/59.txt = 10633 */
static const unsigned MaxCompactCoordinateData=8;
static const unsigned FloorAmount=133;
static const unsigned InitialMaxDuration=10633;
#endif
// Number of possible different block combinations: 63871405575418665
// When including the player, the number is 4151641362402213225.
// Excluding the multidead, it is 4151641362402213225.

typedef CoordTraits<(Log2Ceil<MaxWidth*MaxHeight+1>::Bits+7)/8>::Type CoordinateType;

static const CoordinateType MaxDim        = MaxWidth*MaxHeight;
static const CoordinateType NonCoordinate = MaxDim;

#endif
