#ifndef bqtSettingsHH
#define bqtSettingsHH

#include "templates.hh"

#define CHOOSE_LEVEL 11

#if CHOOSE_LEVEL != 60
 #define USE_MULTI_DEAD 8
#else
 #define USE_MULTI_DEAD 3
#endif

#if CHOOSE_LEVEL==60
// CREATE NEW SETTINGS
enum {  MaxWidth=19, OffsetWidth=0 };
enum {  MaxHeight=16, OffsetHeight=0 };
enum {  MaxObject=35 };
enum {  MaxCompactCoordinateData=60 };
enum {  FloorAmount=19*16 };
enum {  InitialMaxDuration=10633 };
#endif

#define CompactCoordinateUnitType "unsigned short"
typedef unsigned short CompactCoordinateUnit;
enum { CompactCoordinateBitsPerUnit = 12 };

#if CHOOSE_LEVEL==0
// LEVEL 1-1 :
enum  { MaxWidth=9, OffsetWidth=5 };
enum  { MaxHeight=9, OffsetHeight=4 };
enum  { MaxObject=6 };
/* completion time of ../solutions/0.txt and ../records/0.txt = 226 */
enum {  MaxCompactCoordinateData=2 };
enum {  MaxBitsetCoordinateData=3 };
enum {  FloorAmount=49 };
//enum {  BlockCoordAmount=26 };
enum {  InitialMaxDuration=226 };
#endif
// Number of possible different block combinations: 65780
// When including the player, the number is 1381380.
// Excluding the multidead, it is 1381380. // 1-1

#if CHOOSE_LEVEL==1
// LEVEL 1-2 :
enum  { MaxWidth=8, OffsetWidth=5 };
enum  { MaxHeight=8, OffsetHeight=4 };
enum  { MaxObject=5 };
/* completion time of ../solutions/1.txt and ../records/1.txt = 210 */
enum {  MaxCompactCoordinateData=2 };
enum {  MaxBitsetCoordinateData=2 };
enum {  FloorAmount=20 };
//enum {  BlockCoordAmount=15 };
enum {  InitialMaxDuration=210 };
#endif
// Number of possible different block combinations: 1365
// When including the player, the number is 23205.
// Excluding the multidead, it is 21765. // 1-2

#if CHOOSE_LEVEL==2
// LEVEL 1-3 :
enum  { MaxWidth=9, OffsetWidth=5 };
enum  { MaxHeight=8, OffsetHeight=4 };
enum  { MaxObject=7 };
/* completion time of ../solutions/2.txt and ../records/2.txt = 616 */
enum {  MaxCompactCoordinateData=2 };
enum {  MaxBitsetCoordinateData=3 };
enum {  FloorAmount=34 };
//enum {  BlockCoordAmount=25 };
enum {  InitialMaxDuration=616 };
#endif
// Number of possible different block combinations: 177100
// When including the player, the number is 4427500.
// Excluding the multidead, it is 3464950. // 1-3

#if CHOOSE_LEVEL==3
// LEVEL 1-4 :
enum  { MaxWidth=5, OffsetWidth=6 };
enum  { MaxHeight=8, OffsetHeight=4 };
enum  { MaxObject=3 };
/* completion time of ../solutions/3.txt and ../records/3.txt = 168 */
enum {  MaxCompactCoordinateData=1 };
enum {  MaxBitsetCoordinateData=1 };
enum {  FloorAmount=16 };
//enum {  BlockCoordAmount=8 };
enum {  InitialMaxDuration=168 };
#endif
// Number of possible different block combinations: 28
// When including the player, the number is 252.
// Excluding the multidead, it is 172. // 1-4

#if CHOOSE_LEVEL==4
// LEVEL 1-5 :
enum  { MaxWidth=9, OffsetWidth=5 };
enum  { MaxHeight=9, OffsetHeight=4 };
enum  { MaxObject=5 };
/* completion time of ../solutions/4.txt and ../records/4.txt = 310 */
enum {  MaxCompactCoordinateData=2 };
enum {  MaxBitsetCoordinateData=3 };
enum {  FloorAmount=36 };
//enum {  BlockCoordAmount=30 };
enum {  InitialMaxDuration=310 };
#endif
// Number of possible different block combinations: 27405
// When including the player, the number is 465885.
// Excluding the multidead, it is 237480. // 1-5

#if CHOOSE_LEVEL==5
// LEVEL 2-1 :
enum  { MaxWidth=10, OffsetWidth=5 };
enum  { MaxHeight=8, OffsetHeight=4 };
enum  { MaxObject=4 };
/* completion time of ../solutions/5.txt and ../records/5.txt = 328 */
enum {  MaxCompactCoordinateData=2 };
enum {  MaxBitsetCoordinateData=2 };
enum {  FloorAmount=32 };
//enum {  BlockCoordAmount=19 };
enum {  InitialMaxDuration=328 };
#endif
// Number of possible different block combinations: 969
// When including the player, the number is 12597.
// Excluding the multidead, it is 5506. // 2-1

#if CHOOSE_LEVEL==6
// LEVEL 2-2 :
enum  { MaxWidth=9, OffsetWidth=5 };
enum  { MaxHeight=9, OffsetHeight=4 };
enum  { MaxObject=14 };
/* completion time of ../solutions/6.txt and ../records/6.txt = 352 */
enum {  MaxCompactCoordinateData=3 };
enum {  MaxBitsetCoordinateData=4 };
enum {  FloorAmount=49 };
//enum {  BlockCoordAmount=26 };
enum {  InitialMaxDuration=352 };
#endif
// Number of possible different block combinations: 10400600
// When including the player, the number is 551231800.
// Excluding the multidead, it is -2886909400. // 2-2

#if CHOOSE_LEVEL==7
// LEVEL 2-3 :
enum  { MaxWidth=7, OffsetWidth=6 };
enum  { MaxHeight=7, OffsetHeight=5 };
enum  { MaxObject=6 };
/* completion time of ../solutions/7.txt and ../records/7.txt = 243 */
enum {  MaxCompactCoordinateData=2 };
enum {  MaxBitsetCoordinateData=2 };
enum {  FloorAmount=24 };
//enum {  BlockCoordAmount=20 };
enum {  InitialMaxDuration=243 };
#endif
// Number of possible different block combinations: 15504
// When including the player, the number is 325584.
// Excluding the multidead, it is 138244. // 2-3

#if CHOOSE_LEVEL==8
// LEVEL 2-4 :
enum  { MaxWidth=9, OffsetWidth=5 };
enum  { MaxHeight=8, OffsetHeight=4 };
enum  { MaxObject=5 };
/* completion time of ../solutions/8.txt and ../records/8.txt = 412 */
enum {  MaxCompactCoordinateData=2 };
enum {  MaxBitsetCoordinateData=2 };
enum {  FloorAmount=22 };
//enum {  BlockCoordAmount=15 };
enum {  InitialMaxDuration=412 };
#endif
// Number of possible different block combinations: 1365
// When including the player, the number is 23205.
// Excluding the multidead, it is 7470. // 2-4

#if CHOOSE_LEVEL==9
// LEVEL 2-5 :
enum  { MaxWidth=9, OffsetWidth=5 };
enum  { MaxHeight=8, OffsetHeight=4 };
enum  { MaxObject=14 };
/* completion time of ../solutions/9.txt and ../records/9.txt = 514 */
enum {  MaxCompactCoordinateData=3 };
enum {  MaxBitsetCoordinateData=4 };
enum {  FloorAmount=41 };
//enum {  BlockCoordAmount=28 };
enum {  InitialMaxDuration=514 };
#endif
// Number of possible different block combinations: 37442160
// When including the player, the number is 1984434480.
// Excluding the multidead, it is 1984434480. // 2-5

#if CHOOSE_LEVEL==10
// LEVEL 3-1 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=11, OffsetHeight=3 };
enum  { MaxObject=7 };
/* completion time of ../solutions/10.txt and ../records/10.txt = 1204 */
enum {  MaxCompactCoordinateData=3 };
enum {  MaxBitsetCoordinateData=3 };
enum {  FloorAmount=56 };
//enum {  BlockCoordAmount=34 };
enum {  InitialMaxDuration=1204 };
#endif
// Number of possible different block combinations: 1344904
// When including the player, the number is 33622600.
// Excluding the multidead, it is 21648616. // 3-1

#if CHOOSE_LEVEL==11
// LEVEL 3-2 :
enum  { MaxWidth=14, OffsetWidth=3 };
enum  { MaxHeight=10, OffsetHeight=4 };
enum  { MaxObject=11 };
/* completion time of ../solutions/11.txt and ../records/11.txt = 3149 */
enum {  MaxCompactCoordinateData=4 };
enum {  MaxBitsetCoordinateData=5 };
enum {  FloorAmount=70 };
//enum {  BlockCoordAmount=47 };
enum {  InitialMaxDuration=3149 };
#endif
// Number of possible different block combinations: 5178066751
// When including the player, the number is 212300736791.
// Excluding the multidead, it is 192028710280. // 3-2

#if CHOOSE_LEVEL==12
// LEVEL 3-3 :
enum  { MaxWidth=17, OffsetWidth=1 };
enum  { MaxHeight=10, OffsetHeight=4 };
enum  { MaxObject=12 };
/* completion time of ../solutions/12.txt and ../records/12.txt = 1708 */
enum {  MaxCompactCoordinateData=4 };
enum {  MaxBitsetCoordinateData=5 };
enum {  FloorAmount=56 };
//enum {  BlockCoordAmount=44 };
enum {  InitialMaxDuration=1708 };
#endif
// Number of possible different block combinations: 7669339132
// When including the player, the number is 345120260940.
// Excluding the multidead, it is 290355379197. // 3-3

#if CHOOSE_LEVEL==13
// LEVEL 3-4 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=14, OffsetHeight=1 };
enum  { MaxObject=21 };
/* completion time of ../solutions/13.txt and ../records/13.txt = 4923 */
enum {  MaxCompactCoordinateData=6 };
enum {  MaxBitsetCoordinateData=8 };
enum {  FloorAmount=112 };
//enum {  BlockCoordAmount=77 };
enum {  InitialMaxDuration=4923 };
#endif
// Number of possible different block combinations: 1472474663905800940
// When including the player, the number is 119270447776369876140.
// Excluding the multidead, it is 104243632985920320200. // 3-4

#if CHOOSE_LEVEL==14
// LEVEL 3-5 :
enum  { MaxWidth=17, OffsetWidth=1 };
enum  { MaxHeight=13, OffsetHeight=2 };
enum  { MaxObject=13 };
/* completion time of ../solutions/14.txt and ../records/14.txt = 2067 */
enum {  MaxCompactCoordinateData=4 };
enum {  MaxBitsetCoordinateData=6 };
enum {  FloorAmount=71 };
//enum {  BlockCoordAmount=55 };
enum {  InitialMaxDuration=2067 };
#endif
// Number of possible different block combinations: 438729741450
// When including the player, the number is 21497757331050.
// Excluding the multidead, it is 18426649140900. // 3-5

#if CHOOSE_LEVEL==15
// LEVEL 4-1 :
enum  { MaxWidth=12, OffsetWidth=4 };
enum  { MaxHeight=11, OffsetHeight=3 };
enum  { MaxObject=11 };
/* completion time of ../solutions/15.txt and ../records/15.txt = 1764 */
enum {  MaxCompactCoordinateData=3 };
enum {  MaxBitsetCoordinateData=5 };
enum {  FloorAmount=60 };
//enum {  BlockCoordAmount=41 };
enum {  InitialMaxDuration=1764 };
#endif
// Number of possible different block combinations: 1121099408
// When including the player, the number is 45965075728.
// Excluding the multidead, it is 41049024848. // 4-1

#if CHOOSE_LEVEL==16
// LEVEL 4-2 :
enum  { MaxWidth=13, OffsetWidth=4 };
enum  { MaxHeight=12, OffsetHeight=3 };
enum  { MaxObject=12 };
/* completion time of ../solutions/16.txt and ../records/16.txt = 1549 */
enum {  MaxCompactCoordinateData=4 };
enum {  MaxBitsetCoordinateData=5 };
enum {  FloorAmount=64 };
//enum {  BlockCoordAmount=44 };
enum {  InitialMaxDuration=1549 };
#endif
// Number of possible different block combinations: 7669339132
// When including the player, the number is 345120260940.
// Excluding the multidead, it is 307546944016. // 4-2

#if CHOOSE_LEVEL==17
// LEVEL 4-3 :
enum  { MaxWidth=16, OffsetWidth=2 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=19 };
/* completion time of ../solutions/17.txt and ../records/17.txt = 3574 */
enum {  MaxCompactCoordinateData=6 };
enum {  MaxBitsetCoordinateData=8 };
enum {  FloorAmount=109 };
//enum {  BlockCoordAmount=84 };
enum {  InitialMaxDuration=3574 };
#endif
// Number of possible different block combinations: 950974260789566790
// When including the player, the number is 69421121037638375670.
// Excluding the multidead, it is 66362698950374850030. // 4-3

#if CHOOSE_LEVEL==18
// LEVEL 4-4 :
enum  { MaxWidth=17, OffsetWidth=1 };
enum  { MaxHeight=14, OffsetHeight=1 };
enum  { MaxObject=15 };
/* completion time of ../solutions/18.txt and ../records/18.txt = 3740 */
enum {  MaxCompactCoordinateData=5 };
enum {  MaxBitsetCoordinateData=6 };
enum {  FloorAmount=83 };
//enum {  BlockCoordAmount=60 };
enum {  InitialMaxDuration=3740 };
#endif
// Number of possible different block combinations: 17345898649800
// When including the player, the number is 988716223038600.
// Excluding the multidead, it is 831372929612400. // 4-4

#if CHOOSE_LEVEL==19
// LEVEL 4-5 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=33 };
/* completion time of ../solutions/19.txt and ../records/19.txt = 8060 */
enum {  MaxCompactCoordinateData=9 };
enum {  MaxBitsetCoordinateData=13 };
enum {  FloorAmount=172 };
//enum {  BlockCoordAmount=117 };
enum {  InitialMaxDuration=8060 };
#endif
// Number of possible different block combinations: 53556105385935598867815370977
// When including the player, the number is 6908737594785692253948182856033.
// Excluding the multidead, it is 1060480123957909192686624391461. // 4-5

#if CHOOSE_LEVEL==20
// LEVEL 5-1 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=15, OffsetHeight=1 };
enum  { MaxObject=15 };
/* completion time of ../solutions/20.txt and ../records/20.txt = 6076 */
enum {  MaxCompactCoordinateData=5 };
enum {  MaxBitsetCoordinateData=7 };
enum {  FloorAmount=93 };
//enum {  BlockCoordAmount=69 };
enum {  InitialMaxDuration=6076 };
#endif
// Number of possible different block combinations: 154603005527328
// When including the player, the number is 8812371315057696.
// Excluding the multidead, it is 7968251063614552. // 5-1

#if CHOOSE_LEVEL==21
// LEVEL 5-2 :
enum  { MaxWidth=17, OffsetWidth=1 };
enum  { MaxHeight=13, OffsetHeight=2 };
enum  { MaxObject=16 };
/* completion time of ../solutions/21.txt and ../records/21.txt = 5105 */
enum {  MaxCompactCoordinateData=5 };
enum {  MaxBitsetCoordinateData=7 };
enum {  FloorAmount=103 };
//enum {  BlockCoordAmount=63 };
enum {  InitialMaxDuration=5105 };
#endif
// Number of possible different block combinations: 122131734269895
// When including the player, the number is 7450035790463595.
// Excluding the multidead, it is 6605376821521380. // 5-2

#if CHOOSE_LEVEL==22
// LEVEL 5-3 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=13, OffsetHeight=1 };
enum  { MaxObject=17 };
/* completion time of ../solutions/22.txt and ../records/22.txt = 5171 */
enum {  MaxCompactCoordinateData=6 };
enum {  MaxBitsetCoordinateData=8 };
enum {  FloorAmount=118 };
//enum {  BlockCoordAmount=79 };
enum {  InitialMaxDuration=5171 };
#endif
// Number of possible different block combinations: 21566576904406820
// When including the player, the number is 1401827498786443300.
// Excluding the multidead, it is 135356662739196650. // 5-3

#if CHOOSE_LEVEL==23
// LEVEL 5-4 :
enum  { MaxWidth=18, OffsetWidth=1 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=19 };
/* completion time of ../solutions/23.txt and ../records/23.txt = 7634 */
enum {  MaxCompactCoordinateData=6 };
enum {  MaxBitsetCoordinateData=8 };
enum {  FloorAmount=121 };
//enum {  BlockCoordAmount=82 };
enum {  InitialMaxDuration=7634 };
#endif
// Number of possible different block combinations: 585151976303390925
// When including the player, the number is 42716094270147537525.
// Excluding the multidead, it is 36542371421195021745. // 5-4

#if CHOOSE_LEVEL==24
// LEVEL 5-5 :
enum  { MaxWidth=17, OffsetWidth=1 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=16 };
/* completion time of ../solutions/24.txt and ../records/24.txt = 4328 */
enum {  MaxCompactCoordinateData=5 };
enum {  MaxBitsetCoordinateData=7 };
enum {  FloorAmount=104 };
//enum {  BlockCoordAmount=75 };
enum {  InitialMaxDuration=4328 };
#endif
// Number of possible different block combinations: 2280012686716080
// When including the player, the number is 139080773889680880.
// Excluding the multidead, it is 130688976798436080. // 5-5

#if CHOOSE_LEVEL==25
// LEVEL 6-1 :
enum  { MaxWidth=14, OffsetWidth=2 };
enum  { MaxHeight=15, OffsetHeight=0 };
enum  { MaxObject=16 };
/* completion time of ../solutions/25.txt and ../records/25.txt = 5138 */
enum {  MaxCompactCoordinateData=5 };
enum {  MaxBitsetCoordinateData=6 };
enum {  FloorAmount=81 };
//enum {  BlockCoordAmount=55 };
enum {  InitialMaxDuration=5138 };
#endif
// Number of possible different block combinations: 11899700525790
// When including the player, the number is 725881732073190.
// Excluding the multidead, it is 541142762481090. // 6-1

#if CHOOSE_LEVEL==26
// LEVEL 6-2 :
enum  { MaxWidth=16, OffsetWidth=2 };
enum  { MaxHeight=14, OffsetHeight=1 };
enum  { MaxObject=7 };
/* completion time of ../solutions/26.txt and ../records/26.txt = 4159 */
enum {  MaxCompactCoordinateData=3 };
enum {  MaxBitsetCoordinateData=4 };
enum {  FloorAmount=87 };
//enum {  BlockCoordAmount=53 };
enum {  InitialMaxDuration=4159 };
#endif
// Number of possible different block combinations: 22957480
// When including the player, the number is 573937000.
// Excluding the multidead, it is 477667853. // 6-2

#if CHOOSE_LEVEL==27
// LEVEL 6-3 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=13, OffsetHeight=1 };
enum  { MaxObject=12 };
/* completion time of ../solutions/27.txt and ../records/27.txt = 4967 */
enum {  MaxCompactCoordinateData=4 };
enum {  MaxBitsetCoordinateData=6 };
enum {  FloorAmount=105 };
//enum {  BlockCoordAmount=69 };
enum {  InitialMaxDuration=4967 };
#endif
// Number of possible different block combinations: 1823810410032
// When including the player, the number is 82071468451440.
// Excluding the multidead, it is 72561708475152. // 6-3

/* 6-4: Child died in signal 11 */

#if CHOOSE_LEVEL==29
// LEVEL 6-5 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=21 };
/* completion time of ../solutions/29.txt and ../records/29.txt = 13582 */
enum {  MaxCompactCoordinateData=7 };
enum {  MaxBitsetCoordinateData=9 };
enum {  FloorAmount=151 };
//enum {  BlockCoordAmount=97 };
enum {  InitialMaxDuration=13582 };
#endif
// Number of possible different block combinations: 272333912878027232856
// When including the player, the number is 22059046943120205861336.
// Excluding the multidead, it is 18553222918607140258236. // 6-5

#if CHOOSE_LEVEL==30
// LEVEL 7-1 :
enum  { MaxWidth=15, OffsetWidth=2 };
enum  { MaxHeight=15, OffsetHeight=0 };
enum  { MaxObject=14 };
/* completion time of ../solutions/30.txt and ../records/30.txt = 3379 */
enum {  MaxCompactCoordinateData=5 };
enum {  MaxBitsetCoordinateData=6 };
enum {  FloorAmount=94 };
//enum {  BlockCoordAmount=63 };
enum {  InitialMaxDuration=3379 };
#endif
// Number of possible different block combinations: 10468434365991
// When including the player, the number is 554827021397523.
// Excluding the multidead, it is 475041517744626. // 7-1

#if CHOOSE_LEVEL==31
// LEVEL 7-2 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=28 };
/* completion time of ../solutions/31.txt and ../records/31.txt = 9332 */
enum {  MaxCompactCoordinateData=8 };
enum {  MaxBitsetCoordinateData=12 };
enum {  FloorAmount=167 };
//enum {  BlockCoordAmount=117 };
enum {  InitialMaxDuration=9332 };
#endif
// Number of possible different block combinations: 245394628147121065989203464
// When including the player, the number is 26748014468036196192823177576.
// Excluding the multidead, it is 25334868864972585670256819860. // 7-2

#if CHOOSE_LEVEL==32
// LEVEL 7-3 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=14, OffsetHeight=1 };
enum  { MaxObject=19 };
/* completion time of ../solutions/32.txt and ../records/32.txt = 10073 */
enum {  MaxCompactCoordinateData=7 };
enum {  MaxBitsetCoordinateData=9 };
enum {  FloorAmount=127 };
//enum {  BlockCoordAmount=105 };
enum {  InitialMaxDuration=10073 };
#endif
// Number of possible different block combinations: 80135221427528667400
// When including the player, the number is 5849871164209592720200.
// Excluding the multidead, it is 5300846672440507523790. // 7-3

#if CHOOSE_LEVEL==33
// LEVEL 7-4 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=23 };
/* completion time of ../solutions/33.txt and ../records/33.txt = 11819 */
enum {  MaxCompactCoordinateData=7 };
enum {  MaxBitsetCoordinateData=10 };
enum {  FloorAmount=157 };
//enum {  BlockCoordAmount=109 };
enum {  InitialMaxDuration=11819 };
#endif
// Number of possible different block combinations: 60944955672169553853960
// When including the player, the number is 5424101054823090293002440.
// Excluding the multidead, it is 4120289868308361859991880. // 7-4

#if CHOOSE_LEVEL==34
// LEVEL 7-5 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=20 };
/* completion time of ../solutions/34.txt and ../records/34.txt = 10168 */
enum {  MaxCompactCoordinateData=6 };
enum {  MaxBitsetCoordinateData=9 };
enum {  FloorAmount=144 };
//enum {  BlockCoordAmount=91 };
enum {  InitialMaxDuration=10168 };
#endif
// Number of possible different block combinations: 18150420051920130975
// When including the player, the number is 1397582343997850085075.
// Excluding the multidead, it is 845150756506893782946. // 7-5

#if CHOOSE_LEVEL==35
// LEVEL 8-1 :
enum  { MaxWidth=15, OffsetWidth=3 };
enum  { MaxHeight=12, OffsetHeight=3 };
enum  { MaxObject=14 };
/* completion time of ../solutions/35.txt and ../records/35.txt = 4099 */
enum {  MaxCompactCoordinateData=4 };
enum {  MaxBitsetCoordinateData=6 };
enum {  FloorAmount=80 };
//enum {  BlockCoordAmount=59 };
enum {  InitialMaxDuration=4099 };
#endif
// Number of possible different block combinations: 4047376351620
// When including the player, the number is 214510946635860.
// Excluding the multidead, it is 163819886435235. // 8-1

#if CHOOSE_LEVEL==36
// LEVEL 8-2 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=13, OffsetHeight=1 };
enum  { MaxObject=21 };
/* completion time of ../solutions/36.txt and ../records/36.txt = 9035 */
enum {  MaxCompactCoordinateData=7 };
enum {  MaxBitsetCoordinateData=9 };
enum {  FloorAmount=122 };
//enum {  BlockCoordAmount=91 };
enum {  InitialMaxDuration=9035 };
#endif
// Number of possible different block combinations: 65341512186912471510
// When including the player, the number is 5292662487139910192310.
// Excluding the multidead, it is 4821531072908099610060. // 8-2

#if CHOOSE_LEVEL==37
// LEVEL 8-3 :
enum  { MaxWidth=17, OffsetWidth=1 };
enum  { MaxHeight=15, OffsetHeight=0 };
enum  { MaxObject=21 };
/* completion time of ../solutions/37.txt and ../records/37.txt = 7240 */
enum {  MaxCompactCoordinateData=6 };
enum {  MaxBitsetCoordinateData=9 };
enum {  FloorAmount=112 };
//enum {  BlockCoordAmount=86 };
enum {  InitialMaxDuration=7240 };
#endif
// Number of possible different block combinations: 18293741700978245355
// When including the player, the number is 1481793077779237873755.
// Excluding the multidead, it is 909437157572180029380. // 8-3

#if CHOOSE_LEVEL==38
// LEVEL 8-4 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=13, OffsetHeight=1 };
enum  { MaxObject=17 };
/* completion time of ../solutions/38.txt and ../records/38.txt = 4435 */
enum {  MaxCompactCoordinateData=5 };
enum {  MaxBitsetCoordinateData=7 };
enum {  FloorAmount=107 };
//enum {  BlockCoordAmount=60 };
enum {  InitialMaxDuration=4435 };
#endif
// Number of possible different block combinations: 149608375854525
// When including the player, the number is 9724544430544125.
// Excluding the multidead, it is 5806585705729725. // 8-4

#if CHOOSE_LEVEL==39
// LEVEL 8-5 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=14, OffsetHeight=1 };
enum  { MaxObject=19 };
/* completion time of ../solutions/39.txt and ../records/39.txt = 9977 */
enum {  MaxCompactCoordinateData=6 };
enum {  MaxBitsetCoordinateData=8 };
enum {  FloorAmount=119 };
//enum {  BlockCoordAmount=78 };
enum {  InitialMaxDuration=9977 };
#endif
// Number of possible different block combinations: 212566476905162380
// When including the player, the number is 15517352814076853740.
// Excluding the multidead, it is 7291205195589629600. // 8-5

#if CHOOSE_LEVEL==40
// LEVEL 9-1 :
enum  { MaxWidth=18, OffsetWidth=1 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=21 };
/* completion time of ../solutions/40.txt and ../records/40.txt = 5588 */
enum {  MaxCompactCoordinateData=6 };
enum {  MaxBitsetCoordinateData=9 };
enum {  FloorAmount=110 };
//enum {  BlockCoordAmount=86 };
enum {  InitialMaxDuration=5588 };
#endif
// Number of possible different block combinations: 18293741700978245355
// When including the player, the number is 1481793077779237873755.
// Excluding the multidead, it is 1249537207983579610830. // 9-1

#if CHOOSE_LEVEL==41
// LEVEL 9-2 :
enum  { MaxWidth=13, OffsetWidth=3 };
enum  { MaxHeight=15, OffsetHeight=1 };
enum  { MaxObject=16 };
/* completion time of ../solutions/41.txt and ../records/41.txt = 4048 */
enum {  MaxCompactCoordinateData=5 };
enum {  MaxBitsetCoordinateData=7 };
enum {  FloorAmount=73 };
//enum {  BlockCoordAmount=59 };
enum {  InitialMaxDuration=4048 };
#endif
// Number of possible different block combinations: 39895566894540
// When including the player, the number is 2433629580566940.
// Excluding the multidead, it is 2157374615971260. // 9-2

#if CHOOSE_LEVEL==42
// LEVEL 9-3 :
enum  { MaxWidth=12, OffsetWidth=3 };
enum  { MaxHeight=15, OffsetHeight=1 };
enum  { MaxObject=16 };
/* completion time of ../solutions/42.txt and ../records/42.txt = 7196 */
enum {  MaxCompactCoordinateData=5 };
enum {  MaxBitsetCoordinateData=7 };
enum {  FloorAmount=93 };
//enum {  BlockCoordAmount=63 };
enum {  InitialMaxDuration=7196 };
#endif
// Number of possible different block combinations: 122131734269895
// When including the player, the number is 7450035790463595.
// Excluding the multidead, it is 5406638454905940. // 9-3

#if CHOOSE_LEVEL==43
// LEVEL 9-4 :
enum  { MaxWidth=14, OffsetWidth=3 };
enum  { MaxHeight=15, OffsetHeight=1 };
enum  { MaxObject=15 };
/* completion time of ../solutions/43.txt and ../records/43.txt = 8907 */
enum {  MaxCompactCoordinateData=5 };
enum {  MaxBitsetCoordinateData=7 };
enum {  FloorAmount=93 };
//enum {  BlockCoordAmount=63 };
enum {  InitialMaxDuration=8907 };
#endif
// Number of possible different block combinations: 37387265592825
// When including the player, the number is 2131074138791025.
// Excluding the multidead, it is 1940794949432718. // 9-4

#if CHOOSE_LEVEL==44
// LEVEL 9-5 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=18 };
/* completion time of ../solutions/44.txt and ../records/44.txt = 10310 */
enum {  MaxCompactCoordinateData=6 };
enum {  MaxBitsetCoordinateData=9 };
enum {  FloorAmount=150 };
//enum {  BlockCoordAmount=96 };
enum {  InitialMaxDuration=10310 };
#endif
// Number of possible different block combinations: 3116480397122547360
// When including the player, the number is 215037147401455767840.
// Excluding the multidead, it is 200379460797753467104. // 9-5

#if CHOOSE_LEVEL==45
// LEVEL 10-1 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=22 };
/* completion time of ../solutions/45.txt and ../records/45.txt = 12813 */
enum {  MaxCompactCoordinateData=7 };
enum {  MaxBitsetCoordinateData=9 };
enum {  FloorAmount=124 };
//enum {  BlockCoordAmount=90 };
enum {  InitialMaxDuration=12813 };
#endif
// Number of possible different block combinations: 169935800925669797700
// When including the player, the number is 14444543078681932804500.
// Excluding the multidead, it is 12146899355274249938790. // 10-1

#if CHOOSE_LEVEL==46
// LEVEL 10-2 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=15, OffsetHeight=0 };
enum  { MaxObject=21 };
/* completion time of ../solutions/46.txt and ../records/46.txt = 10052 */
enum {  MaxCompactCoordinateData=6 };
enum {  MaxBitsetCoordinateData=9 };
enum {  FloorAmount=129 };
//enum {  BlockCoordAmount=89 };
enum {  InitialMaxDuration=10052 };
#endif
// Number of possible different block combinations: 39651686882656286130
// When including the player, the number is 3211786637495159176530.
// Excluding the multidead, it is 2865452688284674391640. // 10-2

#if CHOOSE_LEVEL==47
// LEVEL 10-3 :
enum  { MaxWidth=11, OffsetWidth=4 };
enum  { MaxHeight=11, OffsetHeight=2 };
enum  { MaxObject=9 };
/* completion time of ../solutions/47.txt and ../records/47.txt = 1699 */
enum {  MaxCompactCoordinateData=3 };
enum {  MaxBitsetCoordinateData=4 };
enum {  FloorAmount=49 };
//enum {  BlockCoordAmount=41 };
enum {  InitialMaxDuration=1699 };
#endif
// Number of possible different block combinations: 95548245
// When including the player, the number is 3153092085.
// Excluding the multidead, it is 2690713519. // 10-3

#if CHOOSE_LEVEL==48
// LEVEL 10-4 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=26 };
/* completion time of ../solutions/48.txt and ../records/48.txt = 12667 */
enum {  MaxCompactCoordinateData=8 };
enum {  MaxBitsetCoordinateData=11 };
enum {  FloorAmount=142 };
//enum {  BlockCoordAmount=103 };
enum {  InitialMaxDuration=12667 };
#endif
// Number of possible different block combinations: 563775374221979864723604
// When including the player, the number is 56941312796419966337084004.
// Excluding the multidead, it is 19541305551970762934182004. // 10-4

#if CHOOSE_LEVEL==49
// LEVEL 10-5 :
enum  { MaxWidth=17, OffsetWidth=1 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=17 };
/* completion time of ../solutions/49.txt and ../records/49.txt = 9927 */
enum {  MaxCompactCoordinateData=6 };
enum {  MaxBitsetCoordinateData=8 };
enum {  FloorAmount=107 };
//enum {  BlockCoordAmount=78 };
enum {  InitialMaxDuration=9927 };
#endif
// Number of possible different block combinations: 17198662594653540
// When including the player, the number is 1117913068652480100.
// Excluding the multidead, it is 976370595449044785. // 10-5

#if CHOOSE_LEVEL==50
// LEVEL 11-1 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=15, OffsetHeight=0 };
enum  { MaxObject=16 };
/* completion time of ../solutions/50.txt and ../records/50.txt = 2827 */
enum {  MaxCompactCoordinateData=5 };
enum {  MaxBitsetCoordinateData=7 };
enum {  FloorAmount=97 };
//enum {  BlockCoordAmount=70 };
enum {  InitialMaxDuration=2827 };
#endif
// Number of possible different block combinations: 721480692460864
// When including the player, the number is 44010322240112704.
// Excluding the multidead, it is 32746188561538144. // 11-1

#if CHOOSE_LEVEL==51
// LEVEL 11-2 :
enum  { MaxWidth=18, OffsetWidth=1 };
enum  { MaxHeight=13, OffsetHeight=1 };
enum  { MaxObject=25 };
/* completion time of ../solutions/51.txt and ../records/51.txt = 5340 */
enum {  MaxCompactCoordinateData=7 };
enum {  MaxBitsetCoordinateData=10 };
enum {  FloorAmount=118 };
//enum {  BlockCoordAmount=96 };
enum {  InitialMaxDuration=5340 };
#endif
// Number of possible different block combinations: 26101718353106752508100
// When including the player, the number is 2531866680251354993285700.
// Excluding the multidead, it is 2393101789303236897138084. // 11-2

#if CHOOSE_LEVEL==52
// LEVEL 11-3 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=11, OffsetHeight=3 };
enum  { MaxObject=10 };
/* completion time of ../solutions/52.txt and ../records/52.txt = 3476 */
enum {  MaxCompactCoordinateData=4 };
enum {  MaxBitsetCoordinateData=5 };
enum {  FloorAmount=88 };
//enum {  BlockCoordAmount=61 };
enum {  InitialMaxDuration=3476 };
#endif
// Number of possible different block combinations: 17341763505
// When including the player, the number is 641645249685.
// Excluding the multidead, it is 581241577145. // 11-3

#if CHOOSE_LEVEL==53
// LEVEL 11-4 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=15, OffsetHeight=1 };
enum  { MaxObject=10 };
/* completion time of ../solutions/53.txt and ../records/53.txt = 3484 */
enum {  MaxCompactCoordinateData=4 };
enum {  MaxBitsetCoordinateData=5 };
enum {  FloorAmount=95 };
//enum {  BlockCoordAmount=59 };
enum {  InitialMaxDuration=3484 };
#endif
// Number of possible different block combinations: 12565671261
// When including the player, the number is 464929836657.
// Excluding the multidead, it is 408904086129. // 11-4

#if CHOOSE_LEVEL==54
// LEVEL 11-5 :
enum  { MaxWidth=16, OffsetWidth=2 };
enum  { MaxHeight=14, OffsetHeight=1 };
enum  { MaxObject=18 };
/* completion time of ../solutions/54.txt and ../records/54.txt = 7288 */
enum {  MaxCompactCoordinateData=5 };
enum {  MaxBitsetCoordinateData=7 };
enum {  FloorAmount=98 };
//enum {  BlockCoordAmount=69 };
enum {  InitialMaxDuration=7288 };
#endif
// Number of possible different block combinations: 5964720367660956
// When including the player, the number is 411565705368605964.
// Excluding the multidead, it is 332924309890371788. // 11-5

#if CHOOSE_LEVEL==55
// LEVEL 12-1 :
enum  { MaxWidth=14, OffsetWidth=3 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=15 };
/* completion time of ../solutions/55.txt and ../records/55.txt = 6328 */
enum {  MaxCompactCoordinateData=5 };
enum {  MaxBitsetCoordinateData=7 };
enum {  FloorAmount=97 };
//enum {  BlockCoordAmount=67 };
enum {  InitialMaxDuration=6328 };
#endif
// Number of possible different block combinations: 97862516286480
// When including the player, the number is 5578163428329360.
// Excluding the multidead, it is 5088982648265696. // 12-1

#if CHOOSE_LEVEL==56
// LEVEL 12-2 :
enum  { MaxWidth=18, OffsetWidth=1 };
enum  { MaxHeight=11, OffsetHeight=2 };
enum  { MaxObject=17 };
/* completion time of ../solutions/56.txt and ../records/56.txt = 4239 */
enum {  MaxCompactCoordinateData=5 };
enum {  MaxBitsetCoordinateData=7 };
enum {  FloorAmount=85 };
//enum {  BlockCoordAmount=72 };
enum {  InitialMaxDuration=4239 };
#endif
// Number of possible different block combinations: 4116305022165108
// When including the player, the number is 267559826440732020.
// Excluding the multidead, it is 250141913898081300. // 12-2

#if CHOOSE_LEVEL==57
// LEVEL 12-3 :
enum  { MaxWidth=13, OffsetWidth=3 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=35 };
/* completion time of ../solutions/57.txt and ../records/57.txt = 3091 */
enum {  MaxCompactCoordinateData=8 };
enum {  MaxBitsetCoordinateData=11 };
enum {  FloorAmount=94 };
//enum {  BlockCoordAmount=85 };
enum {  InitialMaxDuration=3091 };
#endif
// Number of possible different block combinations: 615167304833936727234180
// When including the player, the number is 84277920762249331631082660.
// Excluding the multidead, it is 65717397597123038923972830. // 12-3

#if CHOOSE_LEVEL==58
// LEVEL 12-4 :
enum  { MaxWidth=16, OffsetWidth=2 };
enum  { MaxHeight=15, OffsetHeight=1 };
enum  { MaxObject=13 };
/* completion time of ../solutions/58.txt and ../records/58.txt = 3601 */
enum {  MaxCompactCoordinateData=4 };
enum {  MaxBitsetCoordinateData=6 };
enum {  FloorAmount=81 };
//enum {  BlockCoordAmount=54 };
enum {  InitialMaxDuration=3601 };
#endif
// Number of possible different block combinations: 343006888770
// When including the player, the number is 16807337549730.
// Excluding the multidead, it is 13012990028220. // 12-4

#if CHOOSE_LEVEL==59
// LEVEL 12-5 :
enum  { MaxWidth=19, OffsetWidth=0 };
enum  { MaxHeight=16, OffsetHeight=0 };
enum  { MaxObject=17 };
/* completion time of ../solutions/59.txt and ../records/59.txt = 9868 */
enum {  MaxCompactCoordinateData=6 };
enum {  MaxBitsetCoordinateData=8 };
enum {  FloorAmount=133 };
//enum {  BlockCoordAmount=84 };
enum {  InitialMaxDuration=9868 };
#endif
// Number of possible different block combinations: 63871405575418665
// When including the player, the number is 4151641362402213225.
// Excluding the multidead, it is 3519248700242141145. // 12-5





typedef CoordTraits<(Log2Ceil<MaxWidth*MaxHeight+1>::Bits+ 1/*sign bit*/ +7)/8>::Type CoordinateType;

static const CoordinateType MaxDim        = MaxWidth*MaxHeight;
static const CoordinateType NonCoordinate = MaxDim;

#endif
